LambdaConversionException (Java Platform SE 8 )
Keywords: java.lang.invoke.LambdaConversionException class
Date: 2026-04-17

compact1, compact2, compact3
java.lang.invoke

## Class LambdaConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.invoke.LambdaConversionException

- All Implemented Interfaces:
    Serializable

      public class LambdaConversionException
      extends Exception

  LambdaConversionException
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LambdaConversionException()` Constructs a `LambdaConversionException`.
    `LambdaConversionException(String message)` Constructs a `LambdaConversionException` with a message.
    `LambdaConversionException(String message, Throwable cause)` Constructs a `LambdaConversionException` with a message and cause.
    `LambdaConversionException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)` Constructs a `LambdaConversionException` with a message, cause, and other settings.
    `LambdaConversionException(Throwable cause)` Constructs a `LambdaConversionException` with a cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LambdaConversionException

          public LambdaConversionException()

      Constructs a `LambdaConversionException`.

    - #### LambdaConversionException

          public LambdaConversionException(String message)

      Constructs a `LambdaConversionException` with a message.
      Parameters:
        `message` - the detail message

    - #### LambdaConversionException

          public LambdaConversionException(String message,
                                           Throwable cause)

      Constructs a `LambdaConversionException` with a message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### LambdaConversionException

          public LambdaConversionException(Throwable cause)

      Constructs a `LambdaConversionException` with a cause.
      Parameters:
        `cause` - the cause

    - #### LambdaConversionException

          public LambdaConversionException(String message,
                                           Throwable cause,
                                           boolean enableSuppression,
                                           boolean writableStackTrace)

      Constructs a `LambdaConversionException` with a message, cause, and other settings.
      Parameters:
        `message` - the detail message
        `cause` - the cause
        `enableSuppression` - whether or not suppressed exceptions are enabled
        `writableStackTrace` - whether or not the stack trace is writable

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.